% this is the main documentation header

\section{bank\_utils}
\label{sec:bank_utils}

\subsection{create.py}
\label{sec:bank_utils_create}
\subsubsection{err\_file\_information\_report}
\label{sec:bank_utils_err_file_information_report}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/err_file_information_report_bank_utils_create.py}

\subsubsection{select\_templates\_from\_full\_banks}
\label{sec:bank_utils_select_templates_from_full_banks}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/select_templates_from_full_banks_bank_utils_create.py}

\subsection{base.py}
\label{sec:bank_utils_base}
\subsubsection{get\_approximant}
\label{sec:bank_utils_get_approximant}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/get_approximant_bank_utils_base.py}

\subsubsection{get\_num\_jobs}
\label{sec:bank_utils_get_num_jobs}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/get_num_jobs_bank_utils_base.py}

\subsubsection{extract\_job\_parameters\_from\_directory\_name}
\label{sec:bank_utils_extract_job_parameters_from_directory_name}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/extract_job_parameters_from_directory_name_bank_utils_base.py}

\subsubsection{write\_header\_for\_error\_status\_file}
\label{sec:bank_utils_write_header_for_error_status_file}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/write_header_for_error_status_file_bank_utils_base.py}

\subsubsection{parse\_relevant\_err\_file\_line}
\label{sec:bank_utils_parse_relevant_err_file_line}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/parse_relevant_err_file_line_bank_utils_base.py}

\subsubsection{create\_err\_status\_file}
\label{sec:bank_utils_create_err_status_file}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/create_err_status_file_bank_utils_base.py}

\subsubsection{create\_single\_bank\_report\_file}
\label{sec:bank_utils_create_single_bank_report_file}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/create_single_bank_report_file_bank_utils_base.py}

\subsubsection{get\_bank\_object}
\label{sec:bank_utils_get_bank_object}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/get_bank_object_bank_utils_base.py}

\subsubsection{get\_single\_template\_parameters\_from\_bank\_object}
\label{sec:bank_utils_get_single_template_parameters_from_bank_object}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/get_single_template_parameters_from_bank_object_bank_utils_base.py}

\subsubsection{compare\_template\_parameters}
\label{sec:bank_utils_compare_template_parameters}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/compare_template_parameters_bank_utils_base.py}

\subsubsection{get\_reference\_bank\_object}
\label{sec:bank_utils_get_reference_bank_object}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/get_reference_bank_object_bank_utils_base.py}

\subsubsection{make\_dictionary}
\label{sec:bank_utils_make_dictionary}
\lstinputlisting[language=python,style=mystyle]{code_documentation/bank_utils/make_dictionary_bank_utils_base.py}


\section{postprocess\_utils}
\label{sec:postprocess_utils}

\subsection{create.py}
\label{sec:postprocess_utils_create}

\subsubsection{combined\_dataframe\_from\_xml\_files}
\label{sec:postprocess_utils_combined_dataframe_from_xml_files}
\lstinputlisting[language=python,style=mystyle]{code_documentation/postprocess_utils/combined_dataframe_from_xml_files_postprocess_utils_create.py}

\subsubsection{csv\_file\_from\_parsed\_command\_line\_arguments}
\label{sec:postprocess_utils_csv_file_from_parsed_command_line_arguments}
\lstinputlisting[language=python,style=mystyle]{code_documentation/postprocess_utils/csv_file_from_parsed_command_line_arguments_postprocess_utils_create.py}

\subsection{base.py}
\label{sec:postprocess_utils_base}

\subsubsection{use\_ligolw\_to\_extract\_parameters}
\label{sec:postprocess_utils_use_ligolw_to_extract_parameters}
\lstinputlisting[language=python,style=mystyle]{code_documentation/postprocess_utils/use_ligolw_to_extract_parameters_postprocess_utils_base.py}

\subsubsection{get\_line\_elements}
\label{sec:postprocess_utils_get_line_elements}
\lstinputlisting[language=python,style=mystyle]{code_documentation/postprocess_utils/get_line_elements_postprocess_utils_base.py}

\subsubsection{get\_all\_variable\_flags}
\label{sec:postprocess_utils_get_all_variable_flags}
\lstinputlisting[language=python,style=mystyle]{code_documentation/postprocess_utils/get_all_variable_flags_postprocess_utils_base.py}

\subsubsection{get\_output\_string}
\label{sec:postprocess_utils_get_output_string}
\lstinputlisting[language=python,style=mystyle]{code_documentation/postprocess_utils/get_output_string_postprocess_utils_base.py}


\section{db\_utils}
\label{sec:db_utils}

\subsection{base.py}
\label{sec:db_utils_base}

\subsubsection{get\_current\_time\_string}
\label{sec:db_utils_get_current_time_string}
\lstinputlisting[language=python,style=mystyle]{code_documentation/db_utils/get_current_time_string_db_utils_base.py}

\subsubsection{get\_GraceDB\_client}
\label{sec:db_utils_get_GraceDB_client}
\lstinputlisting[language=python,style=mystyle]{code_documentation/db_utils/get_GraceDB_client_db_utils_base.py}

\subsubsection{clean\_gracedb\_row}
\label{sec:db_utils_clean_gracedb_row}
\lstinputlisting[language=python,style=mystyle]{code_documentation/db_utils/clean_gracedb_row_db_utils_base.py}

\subsubsection{get\_event\_df}
\label{sec:db_utils_get_event_df}
\lstinputlisting[language=python,style=mystyle]{code_documentation/db_utils/get_event_df_db_utils_base.py}

\subsubsection{get\_autocorr\_and\_latency}
\label{sec:db_utils_get_autocorr_and_latency}
\lstinputlisting[language=python,style=mystyle]{code_documentation/db_utils/get_autocorr_and_latency_db_utils_base.py}

\subsection{GwdcDb.py}
\label{sec:db_utils_GwdcDb}
\section{plot\_utils}
\label{sec:plot_utils}

\subsection{create.py}
\label{sec:plot_utils_create}
\subsubsection{heatmap\_plot}
\label{sec:plot_utils_heatmap_plot}
\lstinputlisting[language=python,style=mystyle]{code_documentation/plot_utils/heatmap_plot_plot_utils_create.py}

\subsubsection{scatter\_plot\_2hist}
\label{sec:plot_utils_scatter_plot_2hist}
\lstinputlisting[language=python,style=mystyle]{code_documentation/plot_utils/scatter_plot_2hist_plot_utils_create.py}

\subsubsection{scatter\_plot}
\label{sec:plot_utils_scatter_plot}
\lstinputlisting[language=python,style=mystyle]{code_documentation/plot_utils/scatter_plot_plot_utils_create.py}

\subsection{base.py}
\label{sec:plot_utils_base}


\section{unit\_testing}
\label{sec:unit_testing}

\subsection{create.py}
\label{sec:unit_testing_create}

\subsubsection{trigger\_comparison}
\label{sec:unit_testing_trigger_comparison}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/trigger_comparison_unit_testing_create.py}

\subsubsection{skymap\_comparison}
\label{sec:unit_testing_skymap_comparison}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/skymap_comparison_unit_testing_create.py}

\subsubsection{bank\_generation\_comparison}
\label{sec:unit_testing_bank_generation_comparison}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/bank_generation_comparison_unit_testing_create.py}

\subsection{base.py}
\label{sec:unit_testing_base}

\subsubsection{append\_line\_to\_file}
\label{sec:unit_testing_append_line_to_file}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/append_line_to_file_unit_testing_base.py}

\subsubsection{append\_line\_to\_fh}
\label{sec:unit_testing_append_line_to_fh}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/append_line_to_fh_unit_testing_base.py}

\subsubsection{record\_machine\_info\_to\_fh}
\label{sec:unit_testing_record_machine_info_to_fh}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/record_machine_info_to_fh_unit_testing_base.py}

\subsubsection{images\_similar}
\label{sec:unit_testing_images_similar}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/images_similar_unit_testing_base.py}

\subsubsection{get\_uid}
\label{sec:unit_testing_get_uid}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/get_uid_unit_testing_base.py}

\subsubsection{get\_gid}
\label{sec:unit_testing_get_gid}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/get_gid_unit_testing_base.py}

\subsubsection{get\_user}
\label{sec:unit_testing_get_user}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/get_user_unit_testing_base.py}

\subsubsection{get\_group}
\label{sec:unit_testing_get_group}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/get_group_unit_testing_base.py}

\subsubsection{get\_current\_time\_string}
\label{sec:unit_testing_get_current_time_string}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/get_current_time_string_unit_testing_base.py}

\subsubsection{compare\_zerolag\_trigger\_files}
\label{sec:unit_testing_compare_zerolag_trigger_files}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/compare_zerolag_trigger_files_unit_testing_base.py}

\subsubsection{write\_submission\_script}
\label{sec:unit_testing_write_submission_script}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/write_submission_script_unit_testing_base.py}

\subsubsection{compare\_bank\_template}
\label{sec:unit_testing_compare_bank_template}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/compare_bank_template_unit_testing_base.py}

\subsubsection{compare\_full\_banks}
\label{sec:unit_testing_compare_full_banks}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/compare_full_banks_unit_testing_base.py}

\subsubsection{write\_output\_file\_for\_bank\_comparison}
\label{sec:unit_testing_write_output_file_for_bank_comparison}
\lstinputlisting[language=python,style=mystyle]{code_documentation/unit_testing/write_output_file_for_bank_comparison_unit_testing_base.py}

